Status: Closed Start date: 20 Feb 2014

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Portability Estimated time: 2.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 1.50 hour

Description

The following input produces a std::bad_alloc exception on Microsoft Windows 7 Ultimate (Service Pack 1) 2009

Use R::=QQ[x,y,z,t];

I := ideal(zero(R));

Lista := [x,y];

elim(Lista,I);

 

Reported by Elisa Businelli

History

#1 - 22 Feb 2014 10:58 - John Abbott

On my portable it gave no problem: just returned the result ideal().

With full debugging I get a failed assertion:

==== CoCoA Assertion failed: [[len(myPairs)!=0]]

==== File: TmpGReductor.C

==== Line: 985

#2 - 02 Apr 2014 17:33 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#3 - 11 Apr 2014 18:00 - John Abbott

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 20

#4 - 16 May 2014 14:07 - John Abbott

(20140516) I get the same problem in my 32-bit Linux VM.

Investigating.

#5 - 16 May 2014 19:23 - John Abbott
- Status changed from In Progress to Closed

- % Done changed from 20 to 50

- Estimated time set to 2.00 h

Anna says she has fixed it; exbugs.cocoa5 now passes on Linux.

#6 - 16 May 2014 19:24 - John Abbott

- % Done changed from 50 to 100

#7 - 22 May 2014 17:20 - John Abbott

Elisa Businelli has kindly lent us her computer so that we could confirm that the problem has been resolved on her machine too.
